package com.cpm.lorealbaautomation.retrofit;

import com.google.gson.JsonObject;

import okhttp3.RequestBody;
import okhttp3.ResponseBody;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;


public interface PostApi {
    @POST("CounterDeviceLoginWithCodeAppId")
    Call<ResponseBody> getLogindetail(@Body RequestBody request);

    @POST("BADeviceLoginAppId")
    Call<ResponseBody> getLoginUserdetail(@Body RequestBody request);

    @POST("GenerateOTP")
    Call<ResponseBody> getLoginUserEmailOtp(@Body RequestBody request);

    @POST("CounterAndBALoginWithIMEIset")
    Call<ResponseBody> getEmailOtpValidate(@Body RequestBody request);

    @POST("DownloadJson")
    Call<String> getDownloadAll(@Body RequestBody request);

    @POST("SendOTP")
    Call<ResponseBody> getOTPMethod(@Body RequestBody request);

    @POST("ForgetPassword")
    Call<ResponseBody> getOTPMethodForForgotpass(@Body RequestBody request);

    @POST("UploadJson")
    Call<ResponseBody> getUploadJsonDetail(@Body RequestBody request);

    @POST("Uploadimageswithpath")
    retrofit.Call<String> getUploadDataBaseBackup(@Body RequestBody body1);

    @POST("UploadJson")
    Call<JsonObject> getGeotag(@Body RequestBody request);

    @POST("TokenDetail")
    Call<ResponseBody> uploadTokenDetails(@Body RequestBody request);

    @POST("UploadAttendanceDetail")
    Call<ResponseBody> getAttendanceDetails(@Body RequestBody request);

    @POST("BALogOut")
    Call<ResponseBody> getLogout(@Body RequestBody request);

    //Ravi Changes
    @POST("BALogOutResetIMEIDetail")
    Call<ResponseBody> getLogoutResetImei(@Body RequestBody request);

    @POST("BACoverage")
    Call<ResponseBody> getBaCoverage(@Body RequestBody request);

    @POST("CounterCoverage")
    Call<ResponseBody> getCounterCoverage(@Body RequestBody request);

    @POST("TBAJourneyPlan")
    Call<ResponseBody> getTabjourneyCoverage(@Body RequestBody request);

    @POST("DownloadJson")
    Call<ResponseBody> getTabjournePlan(@Body RequestBody request);

    @POST("ChangePassword")
    Call<ResponseBody> getChangePassword(@Body RequestBody request);

    @POST("ResetPasssword")
    Call<ResponseBody> getResetPassword(@Body RequestBody request);

    @POST("LeaveRequest")
    Call<String> LeaveRequest(@Body RequestBody request);

    @POST("BACheckout")
    Call<ResponseBody> BACheckout(@Body RequestBody request);
}

